[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: No ip-masquerade after upgrade 2.2.19 to 2.4.20

Thanks for the reply.  I'm still in a quandary.  I have installed
.deb packages for iptables and ipmasq.  I believe I have enabled
the appropriate kernel options (there seem to be many more options
in the 2.4 series kernel).  I regret to say that I am ignorant of
the intricacies of the iptables package, and don't have documentation
to read.  Is anyone willing to summarize the minimum kernel options
I must enable to provide ipmasq over a ppp dial-up connection?  I'm
stuck and still using my old 2.2 kernel.

Thanks much,

On Mon, 23 Dec 2002, Paul Johnson wrote:

> On Sun, Dec 22, 2002 at 09:21:03AM -0600, Russ Cook wrote:
> > I recently took the plunge and upgraded the kernel on that machine
> > from 2.2.19 to 2.4.20.  Now, it no longer provides internet access
> > for the lan.  From the gateway's console, I can access the internet,
> > so ppp is working.  The machine is accessible from the other computers,
> > so the eth0 funtions are working.  Can anyone help me troubleshoot this
> > problem?
> Do you have iptables installed?  If you're using the ipmasq package,
> all you need to do is install iptables.
> --
>  .''`.     Baloo <baloo@ursine.dyndns.org>
> : :'  :    proud Debian admin and user
> `. `'`
>   `-  Debian - when you have better things to do than to fix a system

Reply to: